# Copyright (c) 2026, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
# Copyright (c) 2026, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
from ..visualization import LocationDialog
from .show_dialog import show_diag


def location_navigator(proj):
    if not proj.open_mode:
        proj.show_message_no_supply()
        return
    dlg2 = LocationDialog(proj)
    show_diag(dlg2)
